#include "hello.hpp"
#include <iostream>
#include <QApplication>
#include <QPushButton>
#include <QPointer>
#include <QTextCodec>
#include <QLineEdit>
#include <QVBoxLayout>
#include <QLabel>
#include <QMessageBox>
#include <QMainWindow>
#include <QMenuBar>

Hello::Hello() : QObject(), count(0) {

	QWidget* w = new QWidget();
	
	edit = new QLineEdit();
	
	//QPushButton* b = new QPushButton(QString::fromUtf8("fnü"), w);
	b = new QPushButton("fnü");
	
	label = new QLabel();
	
	aboutButton = new QPushButton("Über dieses Programm");
	
	QVBoxLayout *layout = new QVBoxLayout;
	layout->addWidget(edit);
	layout->addWidget(label);
	layout->addWidget(b);
	layout->addWidget(aboutButton);
	
	QObject::connect(b, SIGNAL(clicked()), this, SLOT(hello()));
	QObject::connect(aboutButton, SIGNAL(clicked()), this, SLOT(about()));
		
	w->setLayout(layout);
	//w->show();

	QMainWindow* mainw = new QMainWindow();
	mainw->setCentralWidget(w);
	
	QMenu* fileMenu = mainw->menuBar()->addMenu("&Datei");
	QAction* aboutEntry = fileMenu->addAction("Ü&ber dieses Programm");
	QAction* quitEntry = fileMenu->addAction("Beenden");
	
	connect(aboutEntry, SIGNAL(triggered()), this, SLOT(about()));
	connect(quitEntry, SIGNAL(triggered()), QApplication::instance(), SLOT(quit()));
		
	mainw->setWindowTitle("Qt-Beispiel");
	mainw->show();
}

void Hello::hello() {
	label->setText(edit->text().toLower());
}

void Hello::about() {
	QMessageBox msgBox;
	msgBox.setText("Dies ist ein simples Testprogramm");
	msgBox.exec();
}
